/* Zugriffe auf EEPROM: Intger
 *
 */

#include <avr/io.h>
#include <stdint.h>
#include <avr/eeprom.h>

uint8_t eezahl EEMEM = 0xAA;	// Initialisierung (Datei .eep)

int main()
{
	DDRB = 0xFF;		// Port B LEDs als Ausgang
	
	eeprom_busy_wait();					// warten bis EEPROM bereit
	eeprom_write_byte(&eezahl, 0xBB);	// schreiben
	
	eeprom_busy_wait();					// warten bis EEPROM bereit
	PORTB = eeprom_read_byte(&eezahl);	// lesen und auf LEDs ausgeben
		
	return 0;
}
