/* Demonstriert den 8-Bit Timer 0
 *
 * Schaltet LED an OC0 ein, nachdem 5 steigende Flanken an T0
 */

#include <avr/io.h>

int main()
{
	DDRB |= (1 << DDB3);		// PORT PB3 als Ausgang
	PORTB &= ~(1 << PB3);		// OC0 aus

	OCR0 = 4;									// Vergleichswert (-1) einstellen
	TCCR0 |= (1 << COM00) | (1 << COM01);		// OC0 ein bei Vergleichwert
	TCCR0 |= (1 << CS00) | (1 << CS01) | (1 << CS02);	// External Clock an T0, steigende Flanke

	while (1);		// endlos
	return 0;
}
