/* Laesst eine LED an PD5 und PD6 endlos blinken
 * 
 */

#include <avr/io.h>
#include <util/delay.h>		// _delay_ms() 

// wartet ms Millisekunden
void delay_ms(uint16_t ms)
{
	for(uint16_t t=0; t<=ms; t++)
		_delay_ms(1); 
}

int main()
{
	PORTD |= (1<<PD5);		// LED an PD5 ein
	PORTD &= ~(1<<PD6);	// LED an PD6 aus
	DDRD |= (1 << DDD5) | (1 << DDD6);		// PORTD als Ausgang
	while (1)
	{
		delay_ms (250);
		PORTD ^= (1<<PD5) | (1<<PD6);	// LED an PD5 und PD6 togglen
	}	
	return 0;
}
