/* Eingaben ber ein Hyperterminal an die serielle Schnittstelle werden als ECHO zurckgesendet und auf dem LCD ausgegeben
 *
 * 9600Bd, 8N1
 *
 */

#include "lcd_tools.h"
#include "uart.h"

int main()
{
	unsigned char zeichen;
	
	uart_ini();
	lcd_ini();
	
	lcd_writetext (">");		// Auf LCD
	uart_puts ("bereit: ");		// an RS232
	
	while (1)
	{
		zeichen = ser_getc();
		uart_putc (zeichen);				// sendet empfangenes Zeichen wieder zurck (ECHO)
		lcd_writechar (zeichen);			// Empfangens Zeichen auf LCD schreiben
	}
} 

