/* Gibt Zeichen einer PC Tastatur auf dem LCD aus.
 *
 * INT0 = KB Clock
 * PD3  = KB Data
 *
 * AVR313: Interfacing the PCAT Keyboard http://www.atmel.com/dyn/resources/prod_documents/doc1235.pdf
 */

#include "lcd_tools.h"
#include "atkeyb.h"
#include <avr/signal.h>		// Timer
#include <avr/interrupt.h>	// IRQ


int main()
{
	lcd_ini();
	atkeyb_init();

	sei();
	lcd_writechar ('>');
	while (1)
	{
		lcd_writechar (atkeyb_getchar ());
	}
}


